# Lamp Control

A simple Arduino program to act as a simple PWM controller, supporting a rotary encoder (with button) to control power and brightness.

## Setup

(Images coming soon!)

This project requires the following supporting hardware;

- Arduino (I tend to use the Pro Mini in lamps, as they are incredibly compact and fit easily inside projects)
- RFP30N06LE MOSFET (I like the ones that include a PCB)
- EC11 Rotary Encoder
- LEDs (strip, panel, individual, your choice)
- DC Power Supply (note you'll probably want a buck converter if your supply is more than +5V)
- (optional) Buck Converter (if using a power supply >5V)
- (optional) DC barrel jack

Assembled correctly, the above parts paired with the included code, \*edited to ensure the pin definitions are the same as the pins wired to hardware, should create a lamp that is easy to use with simple, responsive control.

## Features

- Easy to assemble, easy to modify code (to support assembly in any orientation)
- Fine-grained brightness control, tapering on and off near minimum and maximum brightness
- Push-button on/off control
- Supports LEDs of any voltage (when using a buck converter on your Arduino)

## Notes

Code is sloppy as hell and really needs some re-working with regards to button functionality (as it currently relies on EZButton and additional dependencies are annoying as hell IMO)